# Deepin Store|../common/deepin-appstore.svg|

## Overview|../common/icon_overview.svg|
Deepin Store V4.0 is an application recreated by Deepin Technology Co., Ltd. with the integration of display, download, installation, commenting and rating. Deepin Store elaborately screens and collects different types of applications for you. Each application has been artificially installed and verified, you can enter the store to search popular applications with one-click download and automatic installation.

 ![1|maininterface](png/maininterface.png)

## Basic Operations|../common/icon_basicoperation.svg|

### Run Deepin Store
You can run Deepin Store by executing one of the following operations:

1. Click on ![Launcher-24](icon/launcher-24.svg) on dock to enter launcher interface. 
2. Then find ![Deepin Store](icon/store-24.svg) to click on by skimming.

> ![notes](icon/notes.svg): Deepin Store has been fixed on Dock by default, you can click on ![Deepin Store](icon/store-24.svg) on Dock to run.

### Maximize/Minimize Deepin Store

- On Deepin Store interface, click on ![Maximize](icon/icon_max.svg) to maximize Deepin Store. If you want to restore the normal display, click on ![Restore](icon/icon_unmax.svg).
- On Deepin Store interface, click on  ![Minimize](icon/icon_min.svg) to minimize Deepin Store to Dock. If you want to restore the display, click on ![Deepin Store](icon/store-24.svg) on Dock.

### Close Deepin Store

On Deepin Store interface, click on ![Close](icon/icon_close.svg) to exit.
- Right-click on ![Deepin Store](icon/store-24.svg) on Dock to select **Close All** to exit.
- On Deepin Store interface, select [Exit](#Exit) in the menu bar.

![1|Close Deepin Store](png/closestore.png)

## Main Interface|../common/icon_maininterface.svg|
The main interface of Deepin Store consists of navigation bar, search box, flashview, home column, hot topic, task management and menu bar.

> ![tips](icon/tips.svg): Navigation bar can be displayed in icon or name & icon by dragging the edge rightward/leftward. When displayed in icon, hover over the icon to display the category name of applications.

![1|maininterfacedetail](png/maininterfacedetail.png)

<table class="block1">
    <caption>Main Interface</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="100px">Navigation Bar</td>
            <td>Navigation bar is mainly to display the home page, rankings and application categories of Deepin Store. </td>
        </tr>
        <tr>
            <td>2</td>
            <td>Search Box</td>
            <td>Users can quickly search applications in Deepin Store by search box. </td>
        </tr>
        <tr>
            <td>3</td>
            <td>Flashview</td>
            <td> Images of recommended applications will be circularly played in flashview. </td>
        </tr>
         <tr>
            <td>4</td>
            <td>Home Column</td>
            <td>Home column is mainly to display popular recommendation, weekly hot, monthly hot, hotapps and other applications. </td>
        </tr>
        <tr>
            <td>5</td>
            <td>Home Topic</td>
            <td>Home topic is mainly to display applications integrated from hot topic. </td>
        </tr>
        <tr>
            <td>6</td>
            <td>Task Management</td>
            <td>Task management is mainly to display the progress and speed of downloading application as well as the progress of installing applications. You also can suspend and delete the download tasks. </td>
        </tr>
        <tr>
            <td>7</td>
            <td>Menu Bar</td>
            <td> You can sign in, exit, view the Manual and description of Deepin Store by menu bar. </td>
        </tr>
    </tbody>
 </table>

## Application Management|../common/icon_manageinterface.svg|
You can search, download and install different categories of applications by Deepin Store. Meanwhile, more wonderful applications will be explored through popular recommendation, rankings, hotapps, hot topic, user comment and other ways.

### Search Applications
Search function is built in Deepin Store. Contents will be automatically completed after you input a keyword. Press ![Enter](icon/Enter.svg) on keyboard to automatically search and display all applications contained that keyword.

#### Automatch

1. On Deepin Store interface, click top search box.
2. Input a keyword.
3. The application name will be automatically matched and completed to display.

![1|automatch](png/automatch.png)

#### Universal Search

1. On Deepin Store interface, click top search box.
2. Input a keyword.
3. Press ![Enter](icon/Enter.svg) on keyboard to automatically search and display all applications contained that keyword.

![1|searchresult](png/searchresult.png)

#### Clear Records

1. On Deepin Store interface, click top search box.
2. Click on ![Clear](icon/icon_clear.svg) 。
3. Clear all records in the search box.

### Download/Install Applications
Deepin Store offers one-click download and installation of applications. During the downloading and installing process, you can pause and delete, as well as view the current progress and speed.

1. On Deepin Store interface, click the image of  application needed to download.
2. Enter the interface of detailed introduction.
3. Click on ![Install](icon/installfordetail.svg) to automatically download in task management, and then install.
4. You can view the download speed, progress and installing speed of the application.

> ![tips](icon/tips.svg): You can directly hover mouse over the application icon, then click on ![Install](icon/installforpic.svg).

![1|installprocess](png/installprocess.png)

### Update/Upgrade Application

If you need to update and upgrade applications, you can set in Control Center, specific operations refer to [Update and Upgrade](dman:///dde-control-center#Update and Upgrade).

> ![notes](icon/notes.svg): Besides update and upgrade applications, you also can update and upgrade the system in Control Center as needed.

### Uninstall Applications

If you need to uninstall applications, you can enter Launcher to uninstall, specific operations refer to [Uninstall Applications](dman:///dde#Uninstall Applications).

## Application Interface|../common/icon_appinterface.svg|

### Application Details
You can enter the interface of application details to know the introduction, size, version, downloads, ratings and so on.

![1|softwareinterface](png/softwareinterface.png)

<table class="block1">
    <caption>Application Interface</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="80px">Installation Status</td>
            <td>You can view the status of applications. **Install** means the application has not been installed; **Open** means the application has been installed; **Update** means the application can be updated to the latest version. </td>
        </tr>
        <tr>
            <td>2</td>
            <td>Rating/downloads</td>
            <td>You can view the comprehensive rating and downloads of applications. </td>
        </tr>
         <tr>
            <td>3</td>
            <td>Version of Applications</td>
            <td>You can view the version number of applications. </td>
        </tr>
        <tr>
            <td>4</td>
            <td>Size of Applications</td>
            <td>You can view the size of applications. </td>
        </tr>
        <tr>
            <td>5</td>
            <td>Description of Applications</td>
            <td>You can view the detailed description of applications. </td>
        </tr>
        <tr>
            <td>6</td>
            <td>Preview of Applications</td>
            <td>You can view the image preview of applications. </td>
        </tr>
    </tbody>
 </table>

### Comment and Rate
You can comment on and rate applications only after signed in Deepin Store, or only can view comments and ratings. The comments and ratings will be displayed successfully after both submitted at the same time. Meanwhile, you only can comment one time on the current version.

> ![attention](icon/attention.svg): If you need to know the information of signing up and signing in, please refer to [Sign In](#Sign In).

![1|commentandrate](png/commentandrate.png)

<table class="block1">
    <caption>Interface of Comments and Ratings</caption>
    <tbody>
        <tr>
            <td>1</td>
            <td>Sign In</td>
            <td>You can sign in Deepin Store with your account already signed up. </td>
        </tr>
        <tr>
            <td>2</td>
            <td>Comment</td>
            <td>You can input contents in the comment box after signed in. </td>
        </tr>
         <tr>
            <td>3</td>
            <td>Rating</td>
            <td>Hover the mouse over star icons to rate after signed in. </td>
        </tr>
        <tr>
            <td>4</td>
            <td>Current Version</td>
            <td>You can view comments and ratings of application's current version. </td>
        </tr>
        <tr>
            <td>5</td>
            <td>History Versions</td>
            <td>You can view comments and ratings of application's history versions. </td>
        </tr>

    </tbody>
 </table>

## Option Settings|../common/icon_optionsetting.svg|

### Sign In
You can sign in Deepin Store with your account in Deepin Technology Forum.

1. On Deepin Store interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Sign In**.
3. Input username and password.
4. If you want to enable auto-Sign-in, please click on **Remember me**.
5. Click on **Sign In**.

> ![attention](icon/attention.svg): If you don't have an account, you can click on **Sign Up** of the pop-up box to sign up.

![0|loginpage](png/loginpage.png)

### Help
You can click "Help" to get the manual, which will help you further know and use Deepin Store.

1. On Deepin Store interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Help**.
3. View the manual of Deepin Store.

![1|help](png/help.png)

### About
You can click "About" to view the introduction of Deepin Store.

1. On Deepin Store interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **About**.
3. View the version and introduction of Deepin Store.

![0|about](png/about.png)

### Exit
You can click menu bar to exit Deepin Store.

1. On Deepin Store interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Exit**.

